/*
 * File:   main.c
 * Author: yts
 *
 * Created on 2017/10/04, 8:41
 */

#include "stdint.h"
#include "xc.h"
#include "uart2.h"
#include "dsp.h"

char txBuffer[50];
void start(void);

void __attribute__ ((interrupt, no_auto_psv)) _U2RXInterrupt(void)
{
	if(U2RXREG == 's')   start();
	IFS1bits.U2RXIF = 0;
}

void __attribute__ ((interrupt, no_auto_psv)) _U2TXInterrupt(void)
{
	IFS1bits.U2TXIF = 0;
}

void SYS_Initialize ();

int main(void)
{
    SYS_Initialize();
 	
    while (1);    	// Loop Endlessly - Execution is interrupt driven

	return 0;
}

